Name:           python-omicidx
Version:        1.13.3
Release:        %autorelease
Summary:        The OmicIDX project collects, reprocesses, and then republishes metadata from multiple public genomics repositories. Included are the NCBI SRA, Biosample, and GEO databases. Publication is via the cloud data warehouse platform Bigquery, a set of performant search and retrieval APIs, and a set of json-format files for easy incorporation into other projects.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/omicidx/omicidx-parsers
Source:         %{pypi_source omicidx}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'omicidx' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-omicidx
Summary:        %{summary}

%description -n python3-omicidx %_description


%prep
%autosetup -p1 -n omicidx-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-omicidx -f %{pyproject_files}


%changelog
%autochangelog